Subject: bug#31393: closed (Re: [bug#31393] [PATCH 0/4] Add android-fastboot and rename packages.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 10 May 2018 00:53:02 +0000

Your bug report

#31393: [PATCH 0/4] Add android-fastboot and rename packages.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31393: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31393
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31393] [PATCH 0/4] Add android-fastboot and rename packages.
From: Danny Milosavljevic <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Thu, 10 May 2018 02:52:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Julien,

On Wed, 9 May 2018 22:53:23 +0200
Julien Lepiller <[email-masked]> wrote:

> Could you simply add a comment to explain why you don't run tests (I
> guess there aren't any).

I didn't have the building of the tests implemented yet.  I do now :)

> Also, I'm not sure about the name of the
> android-fastboot package. Since it provides the fastboot command, I
> think the convention is to call it fastboot, like adb is not
> android-adb.

Okay!

Pushed to master.

Fastboot works now - and a few packages have tests enabled now.  Phiew...

Subject: [PATCH 0/4] Add android-fastboot and rename packages.
From: Danny Milosavljevic <[email-masked]>
To: [email-masked]
Cc: Danny Milosavljevic <[email-masked]>
Date: Wed, 9 May 2018 22:39:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Danny Milosavljevic (4):
  gnu: Add android-fastboot.
  gnu: Rename "liblog" to "android-liblog".
  gnu: Rename "libbase" to "android-libbase".
  gnu: Rename "libcutils" to "android-libcutils".

 gnu/packages/android.scm | 96 ++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 80 insertions(+), 16 deletions(-)